
Robotics Service Bus - Feature #2568
Feature # 2158 (Resolved): Allow better control of file-based configuration
Configurable list of configuration files [Common Lisp]
06/17/2016 01:26 PM - J. Moringen

Status: Resolved Start date: 06/17/2016
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Estimated time: 0.00 hour
Target version: rsb-0.15
Description

Associated revisions
Revision 532ccc7f - 09/28/2016 11:48 AM - J. Moringen

Configurable config file cascades in src/{variables,configuration}.lisp

fixes #2568

    -  src/variables.lisp (header): updated copyright
  (default-configuration-files): replaced concrete paths with
  placeholders

    -  src/configuration.lisp (configuration-files): new function; compute
  requested list of configuration files
  (options-from-default-sources): call `configuration-files'

History
#1 - 09/28/2016 12:00 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:rsb-cl|532ccc7f50aaf757c029ba886b00519669e13195.
